package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyRefundCsapplyNewRequest struct {
	/*
	   逆向申请入参     */
	RefundCsApplyDTO *domain.AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO `json:"refund_cs_apply_d_t_o" required:"true" `
}

func (s *AlibabaTclsAelophyRefundCsapplyNewRequest) SetRefundCsApplyDTO(v domain.AlibabaTclsAelophyRefundCsapplyNewRefundCsApplyNewDTO) *AlibabaTclsAelophyRefundCsapplyNewRequest {
	s.RefundCsApplyDTO = &v
	return s
}

func (req *AlibabaTclsAelophyRefundCsapplyNewRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundCsApplyDTO != nil {
		paramMap["refund_cs_apply_d_t_o"] = util.ConvertStruct(*req.RefundCsApplyDTO)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyRefundCsapplyNewRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
